# Class QueryTimeoutInterceptor

java.lang.Object
org.apache.tomcat.jdbc.pool.JdbcInterceptor
org.apache.tomcat.jdbc.pool.interceptor.AbstractCreateStatementInterceptor
org.apache.tomcat.jdbc.pool.interceptor.QueryTimeoutInterceptor

All Implemented Interfaces:
  `InvocationHandler`

public class QueryTimeoutInterceptor extends AbstractCreateStatementInterceptor

## Field Summary

### Fields inherited from class org.apache.tomcat.jdbc.pool.interceptor.AbstractCreateStatementInterceptor

`constructors, CREATE_STATEMENT, CREATE_STATEMENT_IDX, EXECUTE, EXECUTE_BATCH, EXECUTE_QUERY, EXECUTE_TYPES, EXECUTE_UPDATE, GET_GENERATED_KEYS, GET_RESULTSET, GET_STATEMENT, PREPARE_CALL, PREPARE_CALL_IDX, PREPARE_STATEMENT, PREPARE_STATEMENT_IDX, RESULTSET_IDX, STATEMENT_TYPE_COUNT, STATEMENT_TYPES`

### Fields inherited from class org.apache.tomcat.jdbc.pool.JdbcInterceptor

`CLOSE_VAL, EQUALS_VAL, GETCONNECTION_VAL, HASHCODE_VAL, ISCLOSED_VAL, ISVALID_VAL, ISWRAPPERFOR_VAL, properties, TOSTRING_VAL, UNWRAP_VAL`

## Constructor Summary

Constructors
Constructor
Description
`QueryTimeoutInterceptor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`closeInvoked()`
Method invoked when the operation `Connection.close()` is invoked.
`Object`
`createStatement(Object proxy, Method method, Object[] args, Object statement, long time)`
This method will be invoked after a successful statement creation.
`void`
`setProperties(Map<String, PoolProperties.InterceptorProperty> properties)`
Called during the creation of an interceptor The properties can be set during the configuration of an interceptor Override this method to perform type casts between string values and object properties

### Methods inherited from class org.apache.tomcat.jdbc.pool.interceptor.AbstractCreateStatementInterceptor

`getConstructor, invoke, isExecute, isStatement, process, reset`

### Methods inherited from class org.apache.tomcat.jdbc.pool.JdbcInterceptor

`compare, compare, disconnected, getNext, getProperties, isUseEquals, poolClosed, poolStarted, setNext, setUseEquals`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### QueryTimeoutInterceptor

public QueryTimeoutInterceptor()

## Method Details

### setProperties

public void setProperties(Map<String, PoolProperties.InterceptorProperty> properties)
Description copied from class: `JdbcInterceptor`
Called during the creation of an interceptor The properties can be set during the configuration of an interceptor Override this method to perform type casts between string values and object properties

Overrides:
  `setProperties` in class `JdbcInterceptor`
Parameters:
  `properties` - The properties

### createStatement

public Object createStatement(Object proxy, Method method, Object[] args, Object statement, long time)
Description copied from class: `AbstractCreateStatementInterceptor`
This method will be invoked after a successful statement creation. This method can choose to return a wrapper around the statement or return the statement itself. If this method returns a wrapper then it should return a wrapper object that implements one of the following interfaces. `Statement`, `PreparedStatement` or `CallableStatement`

Specified by:
  `createStatement` in class `AbstractCreateStatementInterceptor`
Parameters:
  `proxy` - the actual proxy object
  `method` - the method that was called. It will be one of the methods defined in `AbstractCreateStatementInterceptor.STATEMENT_TYPES`
  `args` - the arguments to the method
  `statement` - the statement that the underlying connection created
  `time` - Elapsed time
Returns:
  a `Statement` object

### closeInvoked

public void closeInvoked()
Description copied from class: `AbstractCreateStatementInterceptor`
Method invoked when the operation `Connection.close()` is invoked.

Specified by:
  `closeInvoked` in class `AbstractCreateStatementInterceptor`